#include <bits/stdc++.h>
using namespace std;
long long x,e,n,ahihi=0;
long long a[100000000],b[100000000],d=0;
int ucln(int a,int b)
{
    long long r;
    while (b!=0)
    {
        r=a%b;
        a=b;
        b=r;
    }
    return a;
}
int main()
{
	
  	ifstream f1("NTCN.inp");
  	ofstream f2("NTCN.out");
	f1>>n;
	long long dem=0;
	for (long long i=0;i<n;i++)
    {
        f1>>a[i];
    }
    for (long long i=0;i<n-1;i++)
    {
        for (long long j=i+1;j<n;j++)
        {
            if (ucln(a[i],a[j])==1)
            {
                dem++;
            }
        }
    }
	f2<<dem;
	f1.close();
	f2.close();

}

